Intereting Posts
SDK Местоположение не найдено Android Studio + Gradle Android-виджет хорошо работает в эмуляторе, но по телефону он превращается в виджет Google App Android Studio не отображает модули в структуре проекта Почему не доступна библиотека поддержки Android версии 22? OutofMemoryError: размер растрового изображения превышает бюджет VM (Android) ListView: setItemChecked работает только со стандартным ArrayAdapter – НЕ работает при использовании настраиваемого ArrayAdapter? Ошибка авторизации GCM http 401 Настройка Eclipse для использования подписанного хранилища ключей Разработка игр для Android SDK? Как установить OnClickListener на RadioButton в Android? Модернизация сети делает сетевые вызовы в основном потоке? Преобразование HTML5 в автономное приложение для Android Изменить фон ProgressDialog Объединяйте изображения и текст с возможностью рисования Как я должен делать это с уведомлением до начала деятельности без новых намерений

Библиотека использует тот же пакет, что и этот проект после импорта Facebook SDK

Это сообщение об ошибке, которое я получил после того, как я импортировал SDK (3.15.0) в Android Studio (0.8.2).

Ошибка: выполнение выполнено для задачи ': app: processDebugResources'. Ошибка: библиотека использует тот же пакет, что и этот проект: com.aaa.bbb.test Вы можете временно отключить эту ошибку с помощью android.enforceUniquePackageName = false Однако это временно и будет принудительно применено в 1.0

Это мой build.gradle.

apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId "com.aaa.bbb.test" minSdkVersion 11 targetSdkVersion 19 versionCode 1 versionName "1.0" } buildTypes { release { runProguard false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:19+' compile project(':facebook') } 

И это мой Facebook build.gradle.

 apply plugin: 'com.android.library' dependencies { compile 'com.android.support:support-v4:13.0.+' compile files('libs/bolts.jar') } android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId "com.aaa.bbb.test" minSdkVersion 11 targetSdkVersion 19 versionCode 1 versionName "1.0" } lintOptions { abortOnError false } sourceSets { main { manifest.srcFile 'AndroidManifest.xml' java.srcDirs = ['src'] res.srcDirs = ['res'] } } } 

Я не нахожу два одинаковых пакета, или я, возможно, смотрю на неправильные места. Может кто-нибудь сказать мне, что это может быть? Спасибо.

Solutions Collecting From Web of "Библиотека использует тот же пакет, что и этот проект после импорта Facebook SDK"